3

[alpine-aports] [PATCH 1/4] testing/msgpack-c: new aport

Daniel Sabogal
Details
Message ID
<20160802190240.4988-1-dsabogal@ufl.edu>
Sender timestamp
1470164557
DKIM signature
missing
Download raw message
Patch: +35 -0
From: Daniel Sabogal <dsabogalcc@gmail.com>

https://msgpack.org
An efficient object serialization library
---
 testing/msgpack-c/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/msgpack-c/APKBUILD

diff --git a/testing/msgpack-c/APKBUILD b/testing/msgpack-c/APKBUILD
new file mode 100644
index 0000000..2447afb
--- /dev/null
+++ b/testing/msgpack-c/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=msgpack-c
+pkgver=2.0.0
+pkgrel=0
+pkgdesc="An efficient object serialization library"
+url="https://msgpack.org"
+arch="all"
+license="Boost"
+depends="musl"
+depends_dev=""
+makedepends="cmake"
+install=""
+subpackages="$pkgname-dev"
+source="msgpack-c-$pkgver.zip::https://github.com/msgpack/$pkgname/archive/cpp-$pkgver.zip"
+
+builddir="$srcdir"/msgpack-c-cpp-$pkgver
+
+build() {
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake .. \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"/build
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="d8d5bac93df93df10ce06fc2d6801039  msgpack-c-2.0.0.zip"
+sha256sums="9f3860bc014355dbdf6519ffb78d54d120bb8d134dcb4eba35eb5103c1ac3cd1  msgpack-c-2.0.0.zip"
+sha512sums="ad65a051f392a05a971b0dd1750d7af8b26e07c32e6eb7390a38ecad402f7ce0d3d3205b52c77ae1b82def8e7197f1df5cadbd9aa4d4087fc7f00e35c5a37d2e  msgpack-c-2.0.0.zip"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/4] testing/libvterm: new aport

Daniel Sabogal
Details
Message ID
<20160802190240.4988-2-dsabogal@ufl.edu>
In-Reply-To
<20160802190240.4988-1-dsabogal@ufl.edu> (view parent)
Sender timestamp
1470164558
DKIM signature
missing
Download raw message
Patch: +32 -0
From: Daniel Sabogal <dsabogalcc@gmail.com>

https://www.leonerd.org.uk/code/libvterm
Abstract library implementation of a VT220/xterm/ECMA-48 terminal
emulator
---
 testing/libvterm/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/libvterm/APKBUILD

diff --git a/testing/libvterm/APKBUILD b/testing/libvterm/APKBUILD
new file mode 100644
index 0000000..9c82e5e
--- /dev/null
+++ b/testing/libvterm/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=libvterm
+pkgver=679
+_debver=0~bzr$pkgver
+pkgrel=0
+pkgdesc="Abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator"
+url="https://www.leonerd.org.uk/code/libvterm"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libtool perl"
+install=""
+subpackages="$pkgname-dev"
+source="http://http.debian.net/debian/pool/main/libv/$pkgname/${pkgname}_$_debver.orig.tar.gz"
+
+builddir="$srcdir"/$pkgname-$_debver
+
+build() {
+	cd "$builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="60a10c71b4bf9fce3a45cf188129186a  libvterm_0~bzr679.orig.tar.gz"
+sha256sums="429bf1bef0a6245efb0b531ec88afdc1657fa6995b51c2b36198cf246b698d45  libvterm_0~bzr679.orig.tar.gz"
+sha512sums="32d0c04cebc00540e04e3d6491e96140ce6dd7f9b78d968008137bdaf0c0ae36ebf225e5690c7f0700fc496799f86b12bb92ab1c406b705830e464dc4940b1c4  libvterm_0~bzr679.orig.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/4] testing/lua-mpack: new aport

Daniel Sabogal
Details
Message ID
<20160802190240.4988-3-dsabogal@ufl.edu>
In-Reply-To
<20160802190240.4988-1-dsabogal@ufl.edu> (view parent)
Sender timestamp
1470164559
DKIM signature
missing
Download raw message
Patch: +51 -0
From: Daniel Sabogal <dsabogalcc@gmail.com>

https://github.com/tarruda/libmpack
Lua bindings for libmpack
---
 testing/lua-mpack/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/lua-mpack/APKBUILD

diff --git a/testing/lua-mpack/APKBUILD b/testing/lua-mpack/APKBUILD
new file mode 100644
index 0000000..3585215
--- /dev/null
+++ b/testing/lua-mpack/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=lua-mpack
+pkgver=1.0.2
+_lua_versions="5.1 5.2"
+pkgrel=0
+_pkgdesc="Libmpack bindings for Lua"
+pkgdesc="$_pkgdesc"
+url="https://github.com/tarruda/libmpack"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="libmpack-$pkgver.tar.gz::https://github.com/tarruda/libmpack/archive/$pkgver.tar.gz"
+for _v in $_lua_versions; do
+        makedepends="$makedepends lua$_v-dev"
+        subpackages="$subpackages lua$_v-mpack:split_${_v/./_}"
+done
+
+builddir="$srcdir"/libmpack-$pkgver
+
+build() {
+	cd "$builddir"
+	gcc $CFLAGS -fPIC -c binding/lua/lmpack.c -o lmpack.o || return 1
+	gcc -shared -o mpack.so lmpack.o || return 1
+}
+
+package() {
+	arch="noarch"
+	mkdir -p "$pkgdir"
+}
+
+_split() {
+	local _ver="$1"
+	install_if="lua$_ver $pkgname=$pkgver-r$pkgrel"
+	pkgdesc="$_pkgdesc $_ver"
+	cd "$srcdir"/libmpack-$pkgver || return 1
+	install -Dm755 mpack.so \
+		"$subpkgdir"/usr/lib/lua/$_ver/mpack.so || return 1
+}
+
+for _v in $_lua_versions; do
+        eval "split_${_v/./_}() { _split $_v; }"
+done
+
+md5sums="a6320e37991bb56520d4670419edb43c  libmpack-1.0.2.tar.gz"
+sha256sums="9c570b2aab81b0c56d97cbd8fc483dc431b69510fd9becb4a1845291563e8bc9  libmpack-1.0.2.tar.gz"
+sha512sums="307ae26799e59224dd624d1f5473c86d5cf975155c58b7ccfd17be98321afb0f7235d06a7a2c50112d4630b3cc7c185c9b307007be5cdbd792819ec2991fa3d2  libmpack-1.0.2.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/4] testing/neovim: new aport

Daniel Sabogal
Details
Message ID
<20160802190240.4988-4-dsabogal@ufl.edu>
In-Reply-To
<20160802190240.4988-1-dsabogal@ufl.edu> (view parent)
Sender timestamp
1470164560
DKIM signature
missing
Download raw message
Patch: +37 -0
From: Daniel Sabogal <dsabogalcc@gmail.com>

https://neovim.io
Vim-fork that aims to simplify maintainance and enchance user experience
---
 testing/neovim/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/neovim/APKBUILD

diff --git a/testing/neovim/APKBUILD b/testing/neovim/APKBUILD
new file mode 100644
index 0000000..d068fbc
--- /dev/null
+++ b/testing/neovim/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=neovim
+pkgver=0.1.4
+pkgrel=0
+pkgdesc="Vim-fork that aims to simplify maintainance and enhance user experience"
+url="https://neovim.io"
+arch="all"
+license="Apache2.0 Custom"
+depends=""
+depends_dev=""
+makedepends="cmake gettext-dev libtermkey-dev libuv-dev libvterm-dev lua5.1-lpeg lua5.1-mpack luajit-dev msgpack-c-dev unibilium-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/neovim/neovim/archive/v$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake .. \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DENABLE_JEMALLOC=OFF \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"/build
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="0629174b4bee820fbc39343c746d6f9a  neovim-0.1.4.tar.gz"
+sha256sums="bb7e359eb83db20c5ec5984b470b249372b6dcd813ae2ccf72c01cce560f93e9  neovim-0.1.4.tar.gz"
+sha512sums="e96e768703e4b842355a7543e5c9980b148b9b10cd032570fb420e3e1207102f9769fa6d36fba1d263ed9333d339eab387a196d4a8f724d89db2800097b89d37  neovim-0.1.4.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---